
Redmine - Defect #5400

Incoming Mails bounce with "permission denied. Command output: warning: peer certificate ..."

2010-04-29 12:34 - Erwin Schliske

Status: New Start date: 2010-04-29

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.1.2

Description

Hello,

in my installation incoming mails work for developers and admingroup memebers.

But if a reporter or a non-member answers to an email from redmine to create a ticketcomment the mail bounces.

In the postfixlog I find following entry:

Apr 29 10:56:47 ticket postfix/local

25055

: 66CF9A4603: to=<redmine@ticket.xxx.de>, relay=local, delay=0.78,

delays=0.05/0.02/0/0.71, dsn=5.7.0, status=bounced (permission denied. Command output: warning: peer certificate won't be

verified in this SSL session Request was denied by your Redmine server. Possible reasons: email is sent from an invalid email

address or is missing some information. )

Reporter and non-member have the permissions to create comments. Via webinterface they can do this without problems.

Redmine: 0.9.3.stable (MySQL)

DB: MySQL 5.0.51a

Ruby: 1.8.5 (2006-08-25) [i386-linux]

Rails: 2.3.5

Processing MailHandlerController#index (for 1.2.3.4 at 2010-04-29 11:37:26) [POST]

Parameters: {"no_permission_check"=>"", "unknown_user"=>"", "allow_override"=>"priority,status,tracker,project", "key"

=>"kX7eDl79HJoCtfYULyqW", "email"=>"From testuser@xxx.com  Thu Apr 29 11:37:25 2010\nReturn-Path: <testuser@xxx.com>\n

X-Original-To: redmine@ticket.xxx.de\nDelivered-To: redmine@ticket.xxx.de\nReceived: from turms.

xxx.com (turms.xxx.com [5.6.7.8])\n\tby ticket.xxx.de (Postfix) with ESMTP id D4169A4605\n\tfor <re

dmine@ticket.xxx.de>; Thu, 29 Apr 2010 11:37:25 +0200 (CEST)\nReceived: from localhost (amavis.xxx.com [1.

2.3.4])\n\tby localhost (Postfix) with ESMTP id 17E3B39351BD\n\tfor <redmine@support.xxx.com>; Thu, 29 Apr 2010

11:37:27 +0200 (CEST)\nReceived: from turms.xxx.com ([172.22.0.34])\n\tby localhost (amavis.xxx.com [172.22.0.32]) (am

avisd-new, port 10024)\n\twith ESMTP id jF7kr7VxHZvJ for <redmine@support.xxx.com>;\n\tThu, 29 Apr 2010 11:37:25 +0

200 (CEST)\nReceived: from exchange02.xxx.local (exchange02.xxx.local [1.2.3.4])\n\tby turms.xxx.com (Postfix) wit

h ESMTP\n\tfor <redmine@support.xxx.com>; Thu, 29 Apr 2010 11:37:26 +0200 (CEST)\nReceived: from EXCHANGE02.xxx.loc

al ([127.0.0.1]) by exchange02 ([127.0.0.1])\n with mapi; Thu, 29 Apr 2010 11:37:25 +0200\nFrom: Testuser <testuser@xxx

.com>\nTo: \"redmine@support.xxx.com\" <redmine@support.xxx.com>\nDate: Thu, 29 Apr 2010 11:37:10 +0200\nSubje

ct: AW: [Infos und Anfragen - Videocache #304] (Neu) testticket\nThread-Topic: [Infos und Anfragen - Videocache #304] (Neu)

testticket\nThread-Index: Acrnf21+LLUqa/+5T/qkA/c8urX7kgAAB0qz\nMessage-ID:

<E86856A81536EA47924D7C809C11E5E53D8204F

9@exchange02>\nReferences: <redmine.issue-304.20100429113620@support.xxx.com>\nIn-Reply-To: <redmine.issue-304.2010

0429113620@support.xxx.com>\nAccept-Language: de-DE\nContent-Language: de-DE\nX-MS-Has-Attach:\nX-MS-TNEF-Correlato

r:\nacceptlanguage: de-DE\nContent-Type: text/plain; charset=\"iso-8859-1\"\nContent-Transfer-Encoding: quoted-printable

\nMIME-Version: 1.0\n\nComment 1\n________________________________________\nVon: redmine@support.xxx.com

[redmine@s

upport.xxx.com]\nGesendet: Donnerstag, 29. April 2010 11:36\nBetreff: [Infos und Anfragen - Videocache #304] (Neu)

testticket\n\nTicket #304 wurde erstellt by Testuser Test.\n\n----------------------------------------\nVideocache #304:

testticket\nhttps://ticket.xxx.de/issues/304\n\nAutor: Testuser Test\nStatus: Neu\nPriorit=E4t: Normal\nZug

/my/account\n"}

Completed in 28ms (View: 0, DB: 2) | 422 Unprocessable Entity [https://ticket.xxx.de/mail_handler]

History
I'm having this same problem.

For me, I can send an email to the alias from a user that is not registered, and it works perfectly. It creates the user, and creates the issue. However,

when another person I work with does it, it fails:

Request was denied by your Redmine server. Possible reasons: email is sent from an invalid email address or is

 missing some information.

 I have these things set:

--no-permission-check --unknown-user create --tracker Support --allow-override priority

 and it works for some email accounts, but not others! Is there a way i can debug this?

#2 - 2011-06-23 18:34 - micah anderson

I should mention that this is happening with 1.1.2

#3 - 2011-06-23 18:54 - Etienne Massip

- Affected version (unused) changed from 0.9.3 to 1.1.2

- Affected version changed from 0.9.3 to 1.1.2

#4 - 2011-10-05 13:01 - Radek Antoniuk

Please add support for noverify.

http://www.5dollarwhitebox.org/drupal/node/64

#5 - 2013-09-26 10:11 - Michael Nagel

bump

I am still seeing this regularly. Any update on this?

Environment:

  Redmine version                          2.3.1.stable

  Ruby version                             1.8.7 (x86_64-linux)

  Rails version                            3.2.13

  Environment                              production

  Database adapter                         PostgreSQL

Redmine plugins:

  redmine_backlogs                         v1.0.5

  redmine_default_assign                   0.2.0

  redmine_ldap_sync                        2.0.1.devel.g6e05af16f1
